//////////////////////////////////////////////////////////////////
// File: CheckUserInput.java
// Class: CheckUserInput
// This program checks user input integer value between two values
// -Kyoung Shin Park (2016 Fall)
//////////////////////////////////////////////////////////////////
import java.util.*;

public class CheckUserInput {

	static public int getUserInputIntegerBetween(int min, int max) {
		int value = 0;
		Scanner scan = new Scanner(System.in);
		do {
			System.out.printf("Please enter value [%d-%d]: ", min, max);
			try {
				value = scan.nextInt();
			}
			catch (Exception e) {
				System.out.printf("Error! Please re-enter!\n");
				scan.next();
				continue;
			}
		} while (value < min || value > max);
		return value;
	}

	public static void main(String args[]) {
		int value = getUserInputIntegerBetween(1, 12);
		System.out.println("User entered: " + value);
	}
}