//////////////////////////////////////////////////////////////////
// File: FactorialTest.java
// Class: FactorialTest
// This program tests recursive method.
// -Kyoung Shin Park (2016 Fall)
//////////////////////////////////////////////////////////////////
import java.util.*;

public class FactorialTest {

	public static long factorial(int number) {
		long result = 1;
		for (int i = 1; i <= number; i++)
			result = result * i;
		return result;
	}

	public static long recursive(int number) {
		if (number <= 1)
			return 1;
		else
			return number * recursive(number - 1);
	}

	public static void printFactorial(int number) {
		System.out.printf("%d! = ", number);
		for (int i = number; i >= 1; i--) {
			if (i == 1)
				System.out.printf("%d = ", i);
			else
				System.out.printf("%d * ", i);
		}
	}

	public static void main(String[] args) {
		System.out.printf("Factorial! Please enter integer value: ");

		Scanner scan = new Scanner(System.in);
		int n = scan.nextInt();

		long result1 = factorial(n);
		printFactorial(n);
		System.out.printf("%d\n", result1);

		long result2 = recursive(n);
		System.out.printf("%d! = %d\n", n, result2);
	}
}